Bug 1476346

Summary: /usr/lib64/nagios/plugins/eventhandlers directory is empty
Product: [Fedora] Fedora EPEL Reporter: Leonardo <leonardo.calamai>
Component: nagiosAssignee: Stephen John Smoogen <smooge>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: epel7CC: affix, athmanem, b.heden, jose.p.oliveira.oss, lemenkov, linux, ondrejj, shawn.starr, smooge, smooge, s, swilkerson
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: nagios-4.3.4-7.el6 nagios-4.3.4-5.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-10 23:27:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Leonardo 2017-07-28 16:44:18 UTC
Description of problem:
/usr/lib64/nagios/plugins/eventhandlers directory is empty, instead there are some eventhandlers files when you install from source tarball (submit_check_result for example that is needed if you want to use snmptt to feed nagios with traps)


Version-Release number of selected component (if applicable):
nagios-4.3.2-5.el7.x86_64.rpm

How reproducible:
just install the rpm package and search for submit_check_result script, and you will not find it.


Steps to Reproduce:
1.yum install nagios-4.3.2-5.el7.x86_64.rpm package
2.find / -name submit_check_result
3.

Actual results:
You do not find submit_check_result and the others eventhandler scripts

Expected results:
You should find submit_check_result and the others eventhandler scripts


Additional info:

Comment 1 Stephen John Smoogen 2017-07-28 21:53:57 UTC
These have not been added in the past as far as I can tell and are in a directory tree with no Makefile. I will see if upstream expects them to be installed or if they are a "use not recommended. kept for people who expect them"

Comment 2 Stephen John Smoogen 2017-08-02 23:02:09 UTC
Please look at https://koji.fedoraproject.org/koji/taskinfo?taskID=20988960 and the new contrib package to let me know if that meets your needs.

Comment 3 Fedora Update System 2017-11-20 23:08:23 UTC
nagios-4.3.4-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-723d26389e

Comment 4 Fedora Update System 2017-11-20 23:49:35 UTC
nagios-4.3.4-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e64eeb6ece

Comment 5 Fedora Update System 2017-11-21 19:28:14 UTC
nagios-4.3.4-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-723d26389e

Comment 6 Fedora Update System 2017-11-21 19:33:03 UTC
nagios-4.3.4-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e64eeb6ece

Comment 7 Fedora Update System 2017-11-24 13:16:01 UTC
nagios-4.3.4-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ecb67df0a6

Comment 8 Fedora Update System 2017-11-25 05:23:08 UTC
nagios-4.3.4-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ecb67df0a6

Comment 9 Fedora Update System 2017-12-10 23:27:57 UTC
nagios-4.3.4-7.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-04-12 17:47:19 UTC
nagios-4.3.4-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.